Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78290 - anaconda/install error
Summary: anaconda/install error
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-20 20:08 UTC by Terry Riley
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-11-22 15:16:28 UTC


Attachments (Terms of Use)
anaconda.log and syslog files from anaconda/install error (deleted)
2002-11-20 20:10 UTC, Terry Riley
no flags Details

Description Terry Riley 2002-11-20 20:08:25 UTC
Description of Problem:
Anaconda/install stops with error message

Version-Release number of selected component (if applicable):


How Reproducible:always

Steps to Reproduce:
1. install 8.0 from cd
2. 
3. 

Actual Results: install stops during package check, with anaconda error notice


Expected Results:installation runs to completion


Additional Information:
This is happening on two Dell Optiplex GXMT166. I've attached the dump files.	

The screen message is:

                        Traceback (most recent call last):
                          File "/usr/bin/anaconda", line 694, in ?
                            intf.run(id, dispatch, configFileData)
                          File "/usr/lib/anaconda/text.py", line 446, in run
                            dispatch.gotoNext()
                          File "/usr/lib/anaconda/dispatch.py", line 150, in
gotoNext
                            self.moveStep()
                          File "/usr/lib/anaconda/dispatch.py", line 215, in
moveStep
                            rc = apply(func, self.bindArgs(args))
                          File "/usr/lib/anaconda/upgrade.py", line 349, in
upgradeFindPackages
                            id.hdList[package[rpm.RPMTAG_NAME]].select()
                          File "/usr/lib/anaconda/comps.py", line 171, in
__getitem__
                            return self.packages[item]
                        KeyError: kernel-smp

Comment 1 Terry Riley 2002-11-20 20:10:59 UTC
Created attachment 85751 [details]
anaconda.log and syslog files from anaconda/install error

Comment 2 Michael Fulbright 2002-11-22 15:16:21 UTC
Please remove the kernel-smp package from your system and try to upgrade again.

Comment 3 Terry Riley 2002-11-22 21:11:45 UTC
Thanks. Removing the kernel-smp package worked.


Note You need to log in before you can comment on or make changes to this bug.